import { NgxGist } from './ngx-gist.model';
import { HttpClient } from '@angular/common/http';
import { Observable } from 'rxjs';
import * as i0 from "@angular/core";
export declare class NgxGistService {
    private readonly httpClient;
    constructor(httpClient: HttpClient);
    private readonly delimiter;
    /**
     * Fetch gist data from GitHub.
     *
     * @param gistId GitHub gist id
     * @returns Full gist model on success, undefined on error, null on deserialize failure.
     */
    get(gistId: string): Observable<NgxGist | null | undefined>;
    getFromCache(gistId: string): NgxGist | null;
    setToCache(gist: NgxGist, expiresInMin?: number): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<NgxGistService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<NgxGistService>;
}
